%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-XML-FeedPP
Version:       0.95
Release:       2mamba
Summary:       XML::FeedPP - Parse/write/merge/edit RSS/RDF/Atom syndication feeds
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/XML/XML-FeedPP-%{version}.tar.gz
License:       Artistic, GPL
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-XML-TreePP
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0

%description
XML::FeedPP - Parse/write/merge/edit RSS/RDF/Atom syndication feeds.

%prep

%setup -q -n XML-FeedPP-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Apr 15 2023 Sdk Build System <sdk@mambasoft.it> 0.95-2mamba
- rebuilt with perl 5.36.0

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 0.95-1mamba
- automatic version update by autodist

* Sun Nov 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.43-2mamba
- perl 5.16 mass rebuild

* Mon May 09 2011 Automatic Build System <autodist@mambasoft.it> 0.43-1mamba
- automatic update by autodist

* Mon Nov 01 2010 Automatic Build System <autodist@mambasoft.it> 0.42-1mamba
- automatic update by autodist

* Fri Jan 15 2010 Automatic Build System <autodist@mambasoft.it> 0.41-1mamba
- automatic update by autodist

* Thu Jul 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.40-1mamba
- package created by autospec
